# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'HelloWorldFizzBuzz/version'

Gem::Specification.new do |spec|
  spec.name          = "HelloWorldFizzBuzz"
  spec.version       = HelloWorldFizzBuzz::VERSION
  spec.authors       = ["Derek Viera"]
  spec.email         = ["ma.dmviera01@gmail.com"]

  spec.summary       = "A commandline app to show examples of hello world & fizzbuzz"
  spec.description   = "A commandline app to show examples of hello world & fizzbuzz in different programming languages "
  spec.homepage      = "https://github.com/rangeroob/HelloWorldFizzBuzz"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   << 'HelloWorldFizzBuzz'
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_runtime_dependency "sequel", "~> 4.37.0"
  spec.add_runtime_dependency "sqlite3", "~> 1.3.12"
end
